> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get list of addresses holding a specific BRC-20 token with their balance amounts and distribution statistics.

# BRC20 Holders



## OpenAPI

````yaml bitcoin/blockchain-indexer-api/openapi.json get /assets/brc20/{ticker}/holders
openapi: 3.0.3
info:
  title: Bitcoin - Blockchain Indexer API
  description: >-
    This API provides core indexer endpoints with support for Bitcoin
    metaprotocols by delivering real-time, rollback-protected access to
    Bitcoin's UTXO data, enabling developers to build responsive and reliable
    blockchain applications without managing complex infrastructure.


    #### Key Features:

    - **Real-Time Data with Rollback Protection:** Ensures data accuracy by
    handling chain reorganizations gracefully, providing live data without
    sacrificing integrity.

    - **Comprehensive UTXO Indexing:** Specialized pipelines extract, match, and
    process on-chain information, including handling rollbacks, to provide
    accurate and up-to-date data.


    #### Key Benefits for Developers:

    By abstracting the complexities of blockchain data retrieval and processing,
    Maestro's Bitcoin Indexer API empowers developers to focus on building
    innovative applications with confidence in fast and reliable access to
    historical chain data.
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.2.0
servers:
  - url: https://xbt-mainnet.gomaestro-api.org/v0
    description: Bitcoin Mainnet
  - url: https://xbt-testnet.gomaestro-api.org/v0
    description: Bitcoin Testnet
security:
  - api-key: []
paths:
  /assets/brc20/{ticker}/holders:
    get:
      tags:
        - BRC20
      summary: BRC20 Holders
      description: >-
        Retrieves a list of script pubkeys or addresses that hold the specified
        BRC20 asset and corresponding total balances.
      operationId: brc20_holders_by_ticker
      parameters:
        - name: ticker
          in: path
          description: BRC20 ticker string
          required: true
          schema:
            type: string
          example: TUAH
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedBrc20Holder'
              example:
                data:
                  - address: bc1q764zfcx3uw0dcvcdh7nnwm5fvsml0c2tgn942v
                    balance: '9000000.000000000000000000'
                    script_pubkey: 0014f6aa24e0d1e39edc330dbfa7376e896437f7e14b
                  - address: >-
                      bc1pqfhj6tlxgpvc72mvn9hh0z666k45fpxgsej92d9q08sfe572mhlqca68ld
                    balance: '420000.000000000000000000'
                    script_pubkey: >-
                      5120026f2d2fe640598f2b6c996f778b5ad5ab4484c886645534a079e09cd3caddfe
                last_updated:
                  block_hash: >-
                    00000000000000000002747b9e3c0097172bc23489d686e8b885a6fa89c2c4da
                  block_height: 850534
                next_cursor: 19FwuaejD9hE1R4ckTQKaqe0ecA
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedBrc20Holder:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Brc20Holder'
        last_updated:
          $ref: '#/components/schemas/ChainTip'
        next_cursor:
          type: string
          nullable: true
    Brc20Holder:
      type: object
      required:
        - script_pubkey
        - balance
      properties:
        address:
          type: string
          nullable: true
        balance:
          type: string
        script_pubkey:
          type: string
    ChainTip:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
          description: The hash of the block
          example: 0000000000000000000a7f3b7b6b6e1d9a18db65a3b4a3f4f3bcb2e1f1b2d3e7
        block_height:
          type: integer
          format: int64
          description: The height of the block in the blockchain
          example: 707000
          minimum: 0
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````